/*
 * New editor name:  TDE, the Thomson-Davis Editor.
 * Author:           Frank Davis
 * Date:             April 1, 1992
 *
 * This program is released into the public domain, Frank Davis.
 *   You may distribute it freely.
 */


static const char * const criterr_screen[] = {
#if !defined( PC_CHARS )
"+-----------------------------------------------------------------+",
"|                        TDE Signal Handler                       |",
"+-----------------------------------------------------------------+",
"|                                                                 |",
"|  Signal:                                                        |",
"|   info1:                                                        |",
"|   info2:                                                        |",
"|                                                                 |",
"+-----------------------------------------------------------------+",
"|  Please enter action:  (C)ontinue, (E)xit, (A)bort or (I)gnore  |",
"+-----------------------------------------------------------------+"
#else
"ͻ",
"                        TDE Signal Handler                       ",
"Ķ",
"                                                                 ",
"  Signal:                                                        ",
"   info1:                                                        ",
"   info2:                                                        ",
"                                                                 ",
"Ķ",
"  Please enter action:  (C)ontinue, (E)xit, (A)bort or (I)gnore  ",
"ͼ"
#endif
};


static const char * const sigabrt[] = {
   "SIGABRT",
   "abort( ) generates this signal",
   "error in TDE - call Jason Hood <jadoxa@yahoo.com.au>"
};


static const char * const sigalrm[] = {
   "SIGALRM",
   "this signal is generated by a timer",
   ""
};


static const char * const sigcont[] = {
   "SIGCONT",
   "continue a stopped process",
   "redraw the screen and continue"
};


static const char * const sigfpe[] = {
    "SIGFPE",
    "arithmetic exception, divide by 0",
    "No floats are used in TDE.  Error in Unix??"
};


static const char * const sighup[] = {
    "SIGHUP",
    "controlling terminal was disconnected",
    "terminate TDE"
};


static const char * const sigill[] = {
    "SIGILL",
    "illegal hardware instruction",
    "possible error in TDE"
};

static const char * const sigio[] = {
   "SIGIO",
   "terminal or network event",
   "TDE is not sure how to handle this signal"
};


static const char * const sigpipe[] = {
   "SIGPIPE",
   "Write to a pipe with no reader",
   "need to stop the write"
};


static const char * const sigpwr[] = {
   "SIGPWR",
   "power failure, save work before battery runs down",
   "F2 saves, F3 Quits, and F4 saves and quits"
};


static const char * const sigquit[] = {
   "SIGQUIT",
   "terminal quit key pressed",
   "F3 is the TDE quit key"
};


static const char * const sigsegv[] = {
   "SIGSEGV",
   "segment violation:  invalid memory reference",
   "error in TDE - call Jason Hood <jadoxa@yahoo.com.au>"
};


static const char * const sigterm[] = {
   "SIGTERM",
   "some process wants to terminate TDE",
   "F2 saves, F3 quits, and F4 quits and saves"
};


static const char * const sigtrap[] = {
   "SIGTRAP",
   "hardware fault:  not fault of TDE",
   "TDE aborting"
};


static const char * const sigtstp[] = {
   "SIGTSTP",
   "terminal stop character, job control signal",
   "F3 quits TDE"
};


static const char * const sigttin[] = {
   "SIGTTIN",
   "a background process is trying to read",
   "F3 quits TDE"
};


static const char * const sigttou[] = {
   "SIGTTOU",
   "a background process is trying to write",
   "F3 quits TDE"
};


static const char * const sigurg[] = {
   "SIGURG",
   "urgent condition",
   "network error"
};


static const char * const sigusr1[] = {
   "SIGUSR1",
   "user signal 1 received",
   "unknown origin or action"
};


static const char * const sigusr2[] = {
   "SIGUSR2",
   "user signal 2 received",
   "unknown origin or action"
};


static const char * const sigvtalrm[] = {
   "SIGVTALRM",
   "virtual timer alarm",
   ""
};


static const char * const sigwinch[] = {
   "SIGWINCH",
   "window size change detected",
   "F3 quits TDE"
};


static const char * const sigxcpu[] = {
   "SIGXCPU",
   "process exceeded CPU time limit",
   "F3 quits TDE, F4 saves work"
};


static const char * const sigxfsz[] = {
   "SIGXFSZ",
   "process exceeded file size limit",
   "F3 quits TDE, F4 saves work"
};
